function DformIP() { 
var i;
for(i=1;i<=4;i++)
{
if (form("StartIP"+i).value=="") { //名字为空就返回了 
alert("开始IP地址段不能为空") 
form("StartIP"+i).focus(); //焦点放到输入名字的地方 
return false; } 
if (form("OverIP"+i).value=="") { //名字为空就返回了 
alert("结束IP地址段不能为空") 
form("OverIP"+i).focus(); //焦点放到输入名字的地方 
return false; } 
}
return true ; 
} 

function onlyNum()
    {
        if(event.keyCode > '9'.charCodeAt(0) ||
           event.keyCode < '0'.charCodeAt(0))
        {
           event.returnValue=false;
        }
    }
	
function SubmitFun()
{
document.forms.form.elements.Content.value = oEdit1.getHTMLBody();
if (form.NoticeTitle.value=="") { //名字为空就返回了 
alert("公告标题不能为空") 
form.NoticeTitle.focus(); //焦点放到输入名字的地方 
return false; } 
if (form.Content.value=="") { //名字为空就返回了 
alert("公告内容不能为空") 
return false; }
document.forms.form.submit()
}

function checkSend() { 
if (form.websetuptext.value=="") { //名字为空就返回了 
alert("网站安装目录不能为空") 
form.websetuptext.focus(); //焦点放到输入名字的地方 
return false; } 
if (form.webadmintext.value=="") { //名字为空就返回了 
alert("后台目录不能为空") 
form.webadmintext.focus(); //焦点放到输入名字的地方 
return false; }
if (form.webPhototext.value=="") { //名字为空就返回了 
alert("图片上传目录不能为空") 
form.webPhototext.focus(); //焦点放到输入名字的地方 
return false; }
if (form.webhtmltext.value=="") { //名字为空就返回了 
alert("页面生成目录不能为空") 
form.webhtmltext.focus(); //焦点放到输入名字的地方 
return false; }
return true ; 
} 

function CheckAll(v)
	{
		var i;
		for (i=0;i<document.forms.elements.length;i++)
		{
			var e = document.forms.elements[i];
		        e.checked = v;
		}
}
function OnDelete()
 {
		var del, a, i;
		del = new String("");
		for(i = 0; i < document.forms.elements.length ; i ++)
		{
			var e = document.forms.elements[i];
			if(e.name == 'ID')
			{
			   if ( e.checked == true)
			   {
		   		a = e.value;
				del = del + a + ";";
			   }
			};
		}
	}

function Userscheck()
{
 if (form.UsersName.value=="")
 {
   alert('请输入用户名!');
   form.UsersName.focus();
   return false;
 }
 if (form.UsersName.value.length < 4)
 {
   alert('用户名最少需要4位!');
   form.UsersName.focus();
   return false;
 }
 if (form.UsersName.value.length > 20)
 {
   alert('用户名不能大于20位!');
   form.UsersName.focus();
   return false;
 }
 if (form.UsersPassword.value=="")
 {
   alert('请输入密码!');
   form.UsersPassword.focus();
   return false;
 }
   if (form.UsersPassword.value.length < 6)
 {
   alert('密码最少需要6位!');
   form.UsersPassword.focus();
   return false;
 }
   if (form.UsersPassword2.value=="")
 {
   alert('请输入确认密码');
   form.UsersPassword2.focus();
   return false;
 }
 if (form.UsersPassword.value != form.UsersPassword2.value)
 {
   alert('你两次输入的密码不一样!');
   form.UsersPassword2.focus();
   return false;
 }
 
 	var checkOK = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_@.";
	var checkStr = form.UsersEmail.value;
	var allValid = true;
	for (i = 0;  i < checkStr.length;  i++)
	{
		ch = checkStr.charAt(i);
		for (j = 0;  j < checkOK.length;  j++)
		if (ch == checkOK.charAt(j))
			break;
		if (j == checkOK.length)
		{
			allValid = false;
			break;
		}
	}
	if (form.UsersEmail.value.length < 6)
	{
			allValid = false;
	}
	if (!allValid)
	{
		alert("您输入的 \"电子邮件地址\" 无效!");
		form.UsersEmail.focus();
		return false;
	}
	address=form.UsersEmail.value;
    if(address.length>0)
	{
        i=address.indexOf("@");
        if(i==-1)
		{
			window.alert("对不起！您输入的电子邮件地址是错误的！")
			form.UsersEmail.focus();
			return false
        }
       ii=address.indexOf(".")
        if(ii==-1)
		{
			window.alert("对不起！您输入的电子邮件地址是错误的！")
			form.UsersEmail.focus();
			return false
        }
    }
 return true;
}

function Msgcheck()
{
 if (form.MsgName.value=="")
 {
   alert('请输消息标题!');
   form.MsgName.focus();
   return false;
 }
  if (form.MsgContent.value=="")
 {
   alert('请输入消息内容!');
   form.MsgContent.focus();
   return false;
 }
  return true;
}

function WformIP() { 
 if (form.WcafesName.value=="")
 {
   alert('网吧名称不能为空!');
   form.WcafesName.focus();
   return false;
 }
var i;
for(i=1;i<=4;i++)
{
if (form("WcafesStartIP"+i).value=="") { //名字为空就返回了 
alert("开始IP地址段不能为空") 
form("WcafesStartIP"+i).focus(); //焦点放到输入名字的地方 
return false; } 
if (form("WcafesOverIP"+i).value=="") { //名字为空就返回了 
alert("结束IP地址段不能为空") 
form("WcafesOverIP"+i).focus(); //焦点放到输入名字的地方 
return false; } 
}
return true ; 
} 

function SubmitHelp()
{
document.forms.form.elements.Content.value = oEdit1.getHTMLBody();
if (form.HelpHeading.value=="") { //名字为空就返回了 
alert("帮助标题不能为空") 
form.HelpHeading.focus(); //焦点放到输入名字的地方 
return false; } 
if (form.Content.value=="") { //名字为空就返回了 
alert("帮助内容不能为空") 
return false; }
document.forms.form.submit()
}

function Classcheck()
{
 if (form.ClassName.value=="")
 {
   alert('栏目名称不能为空!');
   form.ClassName.focus();
   return false;
 }
  if (form.ClassNameE.value=="")
 {
   alert('栏目英文名称不能为空!');
   form.ClassNameE.focus();
   return false;
 }
  return true;
}

function Featurecheck()
{
 if (form.FeatureName.value=="")
 {
   alert('专题名称名称不能为空!');
   form.FeatureName.focus();
   return false;
 }
  if (form.FeatureNameE.value=="")
 {
   alert('专题英文名称不能为空!');
   form.FeatureNameE.focus();
   return false;
 }
  return true;
}

function SelectClass()
{
	ReturnValue = OpenWindow('Dialog/SelectClassFrame.asp',400,300,window);
	if (ReturnValue.indexOf('***')!=-1)
	{
		TempArray = ReturnValue.split('***');
		document.all.ClassID.value=TempArray[0]
		document.all.ClassName.value=TempArray[1]
	}
}

function SelectFeature()
{
	ReturnValue = OpenWindow('Dialog/SelectFeatureFrame.asp',400,300,window);
	if (ReturnValue.indexOf('***')!=-1)
	{
		TempArray = ReturnValue.split('***');
		document.all.FeatureID.value=TempArray[0]
		document.all.FeatureName.value=TempArray[1]
	}
}

function OpenWindow(Url,Width,Height,WindowObj)
{
	var ReturnStr=showModalDialog(Url,WindowObj,'dialogWidth:'+Width+'pt;dialogHeight:'+Height+'pt;status:no;help:no;scroll:no;');
	return ReturnStr;
}

function SelectSever()
{
	ReturnValue = OpenWindow('Dialog/SelectSeverFrame.asp',400,300,window);
	if (ReturnValue.indexOf('***')!=-1)
	{
		TempArray = ReturnValue.split('***');
		document.all.SeverID.value=TempArray[0]
		document.all.SeverName.value=TempArray[1]
	}
}

function SubmitMovie()
{
document.forms.form.elements.Content.value = oEdit1.getHTMLBody();
if (form.SeverName.value=="") { //名字为空就返回了 
alert("服务器不能为空请选择服务器") 
form.SeverName.focus();
return false; }
if (form.ClassName.value=="") { //名字为空就返回了 
alert("栏目不能为空请选择栏目") 
form.ClassName.focus();
return false; }
if (form.MovieName.value=="") { //名字为空就返回了 
alert("影片名称不能为空") 
form.MovieName.focus();
return false; }
if (form.MovieActor.value=="") { //名字为空就返回了 
alert("影片演员不能为空") 
form.MovieActor.focus();
return false; }
if (form.MovieRegion.value=="") { //名字为空就返回了 
alert("请选择影片出产地区") 
form.MovieRegion.focus();
return false; }
if (form.Content.value=="") { //名字为空就返回了 
alert("影片介绍不能为空") 
return false; }
document.forms.form.submit()
}

function SubmitTemplate()
{
document.forms.form.elements.Content.value = oEdit1.getHTMLBody();
if (form.TemplateName.value=="") { //名字为空就返回了 
alert("模版名称不能为空") 
form.TemplateName.focus(); //焦点放到输入名字的地方 
return false; } 
if (form.Content.value=="") { //名字为空就返回了 
alert("模版内容不能为空") 
return false; }
document.forms.form.submit()
}

function SubmitLabeling()
{
document.forms.form.elements.Content.value = oEdit1.getHTMLBody();
if (form.LabName.value=="") { //名字为空就返回了 
alert("自由标签名称不能为空") 
form.LabName.focus(); //焦点放到输入名字的地方 
return false; } 
if (form.Content.value=="") { //名字为空就返回了 
alert("自由标签内容不能为空") 
return false; }
document.forms.form.submit()
}

function SelectClassLeb()
{
	ReturnValue = OpenWindow('../Dialog/SelectClassFrame.asp',400,300,window);
	if (ReturnValue.indexOf('***')!=-1)
	{
		TempArray = ReturnValue.split('***');
		document.all.typeid.value=TempArray[0]
		document.all.ClassName.value=TempArray[1]
	}
}

function ChangeType(adtype){
	//alert("你选择了广告："+adtype);
	var adsrcText="";
	switch (adtype){
	case "6":adsrcText="广告内容";
	case "5":
	case "7":
	case "8":
			if(adsrcText!=""){window.adsrc_text.innerHTML= '广告内容：';}
			else{window.adsrc_text.innerHTML= '广告地址：';}
			
			if(document.form.ADLink.value!='本项无效，无需填写'){
				ADLinkValue=document.form.ADLink.value;
				ADAltValue=document.form.ADAlt.value;

				document.form.ADLink.value='本项无效，无需填写';
				document.form.ADAlt.value='本项无效，无需填写';
			}
			document.form.ADLink.disabled=true;
			document.form.ADAlt.disabled=true;
			
			break;
	default:
			
			if(document.form.ADLink.value=='本项无效，无需填写'){document.form.ADLink.value=ADLinkValue;}
			if(document.form.ADAlt.value=='本项无效，无需填写'){document.form.ADAlt.value=ADAltValue;}
			document.form.ADLink.disabled=false;
			document.form.ADAlt.disabled=false;

			window.adsrc_text.innerHTML= '广告地址：';
			break;
	}
}

function SubmitReg()
{
document.forms.form.elements.Content.value = oEdit1.getHTMLBody();
if (form.Content.value=="") { //名字为空就返回了 
alert("会员注册协议不能为空") 
return false; }
document.forms.form.submit()

}